Infra: AWS - add CSIT parameters to bootstrap 26/32126/5
authorTomas Alexy <tomas.alexy@pantheon.tech>
Mon, 26 Apr 2021 15:34:28 +0000 (17:34 +0200)
committerPeter Mikus <pmikus@cisco.com>
Tue, 27 Apr 2021 06:54:34 +0000 (06:54 +0000)
Signed-off-by: Tomas Alexy <tomas.alexy@pantheon.tech>
Change-Id: I41b5905bcaab303a74d9985283e469922e5fba94

fdio.infra.terraform/2n_aws_c5n/variables.tf
fdio.infra.terraform/3n_aws_c5n/variables.tf
resources/libraries/bash/entry/bootstrap_verify_perf.sh
resources/libraries/bash/entry/bootstrap_vpp_device.sh
resources/libraries/bash/function/common.sh

index 15e718b..c5c74f6 100644 (file)
@@ -21,7 +21,7 @@ variable "ami_image" {
 variable "instance_type" {
   description = "AWS instance type"
   type = string
 variable "instance_type" {
   description = "AWS instance type"
   type = string
-  default = "c5n.4xlarge"
+  default = "c5n.9xlarge"
 }
 
 variable "testbed_name" {
 }
 
 variable "testbed_name" {
index 15e718b..c5c74f6 100644 (file)
@@ -21,7 +21,7 @@ variable "ami_image" {
 variable "instance_type" {
   description = "AWS instance type"
   type = string
 variable "instance_type" {
   description = "AWS instance type"
   type = string
-  default = "c5n.4xlarge"
+  default = "c5n.9xlarge"
 }
 
 variable "testbed_name" {
 }
 
 variable "testbed_name" {
index fc33440..9c91017 100644 (file)
@@ -1,4 +1,4 @@
-# Copyright (c) 2020 Cisco and/or its affiliates.
+# Copyright (c) 2021 Cisco and/or its affiliates.
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at:
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at:
@@ -46,6 +46,7 @@ archive_tests || die
 reserve_and_cleanup_testbed || die
 select_tags || die
 compose_pybot_arguments || die
 reserve_and_cleanup_testbed || die
 select_tags || die
 compose_pybot_arguments || die
+set_environment_variables || die
 run_pybot || die
 untrap_and_unreserve_testbed || die
 move_archives || die
 run_pybot || die
 untrap_and_unreserve_testbed || die
 move_archives || die
index ef7bb08..95708e8 100755 (executable)
@@ -1,6 +1,6 @@
 #!/usr/bin/env bash
 
 #!/usr/bin/env bash
 
-# Copyright (c) 2020 Cisco and/or its affiliates.
+# Copyright (c) 2021 Cisco and/or its affiliates.
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at:
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at:
@@ -45,6 +45,7 @@ archive_tests || die
 activate_docker_topology || die
 select_vpp_device_tags || die
 compose_pybot_arguments || die
 activate_docker_topology || die
 select_vpp_device_tags || die
 compose_pybot_arguments || die
+set_environment_variables || die
 run_pybot || die
 move_archives || die
 die_on_pybot_error || die
 run_pybot || die
 move_archives || die
 die_on_pybot_error || die
index 54a013e..ec95f92 100644 (file)
@@ -1138,6 +1138,31 @@ function select_vpp_device_tags () {
     done
 }
 
     done
 }
 
+
+function set_environment_variables () {
+
+    # Depending on testbed topology, overwrite defaults set in the
+    # resources/libraries/python/Constants.py file
+    #
+    # Variables read:
+    # - TEST_CODE - String affecting test selection, usually jenkins job name.
+    # Variables set:
+    # See specific cases
+
+    set -exuo pipefail
+
+    case "${TEST_CODE}" in
+        *"2n-aws"* | *"3n-aws"*)
+            # T-Rex 2.88 workaround for ENA NICs
+            export TREX_RX_DESCRIPTORS_COUNT=1024
+            export TREX_EXTRA_CMDLINE="--mbuf-factor 19"
+            # Settings to prevent duration stretching
+            export PERF_TRIAL_STL_DELAY=0.1
+            ;;
+    esac
+}
+
+
 function untrap_and_unreserve_testbed () {
 
     # Use this as a trap function to ensure testbed does not remain reserved.
 function untrap_and_unreserve_testbed () {
 
     # Use this as a trap function to ensure testbed does not remain reserved.